Open CASCADE Technology 7.8.2.dev
|
Implements construction algorithms for an arc of ellipse in 3D space. The result is a Geom_TrimmedCurve curve. A MakeArcOfEllipse object provides a framework for: More...
#include <GC_MakeArcOfEllipse.hxx>
Public Member Functions | |
GC_MakeArcOfEllipse (const gp_Elips &Elips, const Standard_Real Alpha1, const Standard_Real Alpha2, const Standard_Boolean Sense) | |
Constructs an arc of Ellipse (TrimmedCurve from Geom) from a Ellipse between two parameters Alpha1 and Alpha2. | |
GC_MakeArcOfEllipse (const gp_Elips &Elips, const gp_Pnt &P, const Standard_Real Alpha, const Standard_Boolean Sense) | |
Constructs an arc of Ellipse (TrimmedCurve from Geom) from a Ellipse between point. | |
GC_MakeArcOfEllipse (const gp_Elips &Elips, const gp_Pnt &P1, const gp_Pnt &P2, const Standard_Boolean Sense) | |
Constructs an arc of Ellipse (TrimmedCurve from Geom) from a Ellipse between two points P1 and P2. The orientation of the arc of ellipse is: | |
const Handle< Geom_TrimmedCurve > & | Value () const |
Returns the constructed arc of ellipse. | |
operator const Handle< Geom_TrimmedCurve > & () const | |
Public Member Functions inherited from GC_Root | |
Standard_Boolean | IsDone () const |
Returns true if the construction is successful. | |
gce_ErrorType | Status () const |
Returns the status of the construction: | |
Additional Inherited Members | |
Protected Attributes inherited from GC_Root | |
gce_ErrorType | TheError |
Implements construction algorithms for an arc of ellipse in 3D space. The result is a Geom_TrimmedCurve curve. A MakeArcOfEllipse object provides a framework for:
GC_MakeArcOfEllipse::GC_MakeArcOfEllipse | ( | const gp_Elips & | Elips, |
const Standard_Real | Alpha1, | ||
const Standard_Real | Alpha2, | ||
const Standard_Boolean | Sense ) |
Constructs an arc of Ellipse (TrimmedCurve from Geom) from a Ellipse between two parameters Alpha1 and Alpha2.
GC_MakeArcOfEllipse::GC_MakeArcOfEllipse | ( | const gp_Elips & | Elips, |
const gp_Pnt & | P, | ||
const Standard_Real | Alpha, | ||
const Standard_Boolean | Sense ) |
Constructs an arc of Ellipse (TrimmedCurve from Geom) from a Ellipse between point.
and the angle Alpha given in radians.
GC_MakeArcOfEllipse::GC_MakeArcOfEllipse | ( | const gp_Elips & | Elips, |
const gp_Pnt & | P1, | ||
const gp_Pnt & | P2, | ||
const Standard_Boolean | Sense ) |
Constructs an arc of Ellipse (TrimmedCurve from Geom) from a Ellipse between two points P1 and P2. The orientation of the arc of ellipse is:
|
inline |
const Handle< Geom_TrimmedCurve > & GC_MakeArcOfEllipse::Value | ( | ) | const |
Returns the constructed arc of ellipse.